package com.microsoft.flutterappcenter;

import android.app.Activity;

import com.microsoft.appcenter.AppCenter;
import com.microsoft.appcenter.analytics.Analytics;
import com.microsoft.appcenter.crashes.Crashes;

import java.util.Map;

import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;

/**
 * FlutterBuglyPlugin
 */
public class FlutterAppcenterPlugin implements MethodCallHandler {
    private Activity activity;
    private Result result;

    public FlutterAppcenterPlugin(Activity activity) {
        this.activity = activity;
    }

    /**
     * Plugin registration.
     */
    public static void registerWith(Registrar registrar) {
        final MethodChannel channel = new MethodChannel(registrar.messenger(), "flutter_appcenter");
        FlutterAppcenterPlugin plugin = new FlutterAppcenterPlugin(registrar.activity());
        channel.setMethodCallHandler(plugin);
    }

    @Override
    public void onMethodCall(final MethodCall call, final Result result) {
        this.result = result;
        if (call.method.equals("initAppCenter")) {
            if (call.hasArgument("appId")) {
                String appId = call.argument("appId").toString();

                AppCenter.start(activity.getApplication(), appId, Analytics.class, Crashes.class);

                result.success("AppCenter 初始化成功 appId：" + appId);
            } else {
                result.error("UNAVAILABLE", "AppCenter appId不能为空", null);
            }
        }

    }
}