#import "FlutterAppcenterPlugin.h"

// #include <AppCenter.h>
@import AppCenter;
@import AppCenterAnalytics;
@import AppCenterCrashes;


#if __has_include(<flutter_appcenter/flutter_appcenter-Swift.h>)
#import <flutter_appcenter/flutter_appcenter-Swift.h>
#else
// Support project import fallback if the generated compatibility header
// is not copied when this plugin is created as a library.
// https://forums.swift.org/t/swift-static-libraries-dont-copy-generated-objective-c-header/19816
#import "flutter_appcenter-Swift.h"
#endif

@implementation FlutterAppcenterPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel =
      [FlutterMethodChannel methodChannelWithName:@"flutter_appcenter"
                                  binaryMessenger:[registrar messenger]];

  FlutterAppcenterPlugin* instance = [[FlutterAppcenterPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"initAppCenter" isEqualToString:call.method]) {
    NSString *appId = call.arguments[@"appId"];
    NSLog(@"flutter_appcenter appId: %@", appId);

    BOOL res = [self initAppCenter:appId];
    if(res){
      result(@("Initialize Successfully"));
    }{
      result(@("appId is null"));
    }
  } else {
    result(FlutterMethodNotImplemented);
  }
}

- (BOOL)initAppCenter:(NSString *)appId {
  BOOL valid = [self isNotEmpty:appId];

  if(valid){
    [MSAppCenter start:appId withServices:@[
      [MSAnalytics class],
      [MSCrashes class]
    ]];
  }

  return valid;
}

- (BOOL) isNotEmpty:(NSString *)string {
  if(string == nil || string == NULL) {
    return NO;
  }
  
  if([string isKindOfClass:[NSNull class]]) {
    return NO;
  }
  if([[string stringByTrimmingCharactersInSet:[NSCharacterSet whitespaceCharacterSet]] length] == 0) {
    return NO;
  }

  return YES;
}
@end
