library flutter_appcenter;

import 'dart:async';
import 'dart:io';

import 'package:flutter/services.dart';

class FlutterAppCenter {
  static const MethodChannel _channel =
      const MethodChannel('flutter_appcenter');

  //start running the AppCenert
  static Future<String> init({
    String androidAppId,
    String iOSAppId
  }) async {
    Map<String, Object> args = {
      'appId': Platform.isAndroid ? androidAppId : iOSAppId,
    };
    
    try {
      return await _channel.invokeMethod('initAppCenter', args);
    } on PlatformException catch (e) {
      print("Failed to start running the AppCenert: '${e.message}'.");
    }
  }
}
